<div class="d-flex justify-content-center align-items-center px-2 pt-5">
  <div class="col-12 col-lg-4">
    <div class="d-flex justify-content-center flex-column gap-1">
      <ng-container *transloco="let t; prefix: 'ping'">
        <h1 class="text-primary pb-3">{{ t('title') }}</h1>

        <h5>{{ t('subTitle') }}</h5>

        <div euiInputGroup>
          <label euiLabel for="with_label_default">{{ t('FQDNLabel') }}</label>
          <input euiInputText id="with_label_default" [placeholder]="t('FQDNPlaceholder')" [formControl]="fqdnControl" />
        </div>

        <button euiButton euiPrimary
                [disabled]="loading || fqdnControl.invalid" (click)="onPing()">
          <eui-icon-svg isLoading="" *ngIf="loading"></eui-icon-svg>
          <span euiLabel class="eui-u-ml-s">{{ t('echoButton') }}</span>
        </button>

      </ng-container>
    </div>
  </div>
</div>
